package com.bootdo.system.domain;

import java.io.Serializable;
import java.util.Date;



/**
 * 设备注册信息
 * 
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2021-06-07 14:25:45
 */
public class RegistrationDO implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//编号
	private Long id;
	//设备名称
	private String deviceName;
	//设备编码
	private String deviceCode;
	//设备唯一标识
	private String deviceUniqe;
	//设备类型
	private String deviceType;
	//设备mac
	private String deviceMac;
	//序列号
	private String deviceSn;
	//生产批次
	private String devicePb;
	//设备端口
	private String devicePort;
	//设备顺序
	private String deviceOrder;
	//设备资产编号
	private String deviceAssetNum;
	//互联网标识
	private String deviceNetFlag;
	//设备上传机构
	private String deviceUpload;
	//注册结果
	private String deviceResult;
	//注册时间
	private Date deviceRegtime;
	//修改时间
	private Date deviceUpdtime;

	/**
	 * 设置：编号
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：编号
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：设备名称
	 */
	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}
	/**
	 * 获取：设备名称
	 */
	public String getDeviceName() {
		return deviceName;
	}
	/**
	 * 设置：设备唯一标识
	 */
	public void setDeviceUniqe(String deviceUniqe) {
		this.deviceUniqe = deviceUniqe;
	}
	/**
	 * 获取：设备唯一标识
	 */
	public String getDeviceUniqe() {
		return deviceUniqe;
	}
	/**
	 * 设置：设备类型
	 */
	public void setDeviceType(String deviceType) {
		this.deviceType = deviceType;
	}
	/**
	 * 获取：设备类型
	 */
	public String getDeviceType() {
		return deviceType;
	}
	/**
	 * 设置：设备mac
	 */
	public void setDeviceMac(String deviceMac) {
		this.deviceMac = deviceMac;
	}
	/**
	 * 获取：设备mac
	 */
	public String getDeviceMac() {
		return deviceMac;
	}
	/**
	 * 设置：序列号
	 */
	public void setDeviceSn(String deviceSn) {
		this.deviceSn = deviceSn;
	}
	/**
	 * 获取：序列号
	 */
	public String getDeviceSn() {
		return deviceSn;
	}
	/**
	 * 设置：生产批次
	 */
	public void setDevicePb(String devicePb) {
		this.devicePb = devicePb;
	}
	/**
	 * 获取：生产批次
	 */
	public String getDevicePb() {
		return devicePb;
	}
	/**
	 * 设置：设备端口
	 */
	public void setDevicePort(String devicePort) {
		this.devicePort = devicePort;
	}
	/**
	 * 获取：设备端口
	 */
	public String getDevicePort() {
		return devicePort;
	}
	/**
	 * 设置：设备顺序
	 */
	public void setDeviceOrder(String deviceOrder) {
		this.deviceOrder = deviceOrder;
	}
	/**
	 * 获取：设备顺序
	 */
	public String getDeviceOrder() {
		return deviceOrder;
	}
	/**
	 * 设置：设备资产编号
	 */
	public void setDeviceAssetNum(String deviceAssetNum) {
		this.deviceAssetNum = deviceAssetNum;
	}
	/**
	 * 获取：设备资产编号
	 */
	public String getDeviceAssetNum() {
		return deviceAssetNum;
	}
	/**
	 * 设置：互联网标识
	 */
	public void setDeviceNetFlag(String deviceNetFlag) {
		this.deviceNetFlag = deviceNetFlag;
	}
	/**
	 * 获取：互联网标识
	 */
	public String getDeviceNetFlag() {
		return deviceNetFlag;
	}
	/**
	 * 设置：设备上传机构
	 */
	public void setDeviceUpload(String deviceUpload) {
		this.deviceUpload = deviceUpload;
	}
	/**
	 * 获取：设备上传机构
	 */
	public String getDeviceUpload() {
		return deviceUpload;
	}
	/**
	 * 设置：注册时间
	 */
	public void setDeviceRegtime(Date deviceRegtime) {
		this.deviceRegtime = deviceRegtime;
	}
	/**
	 * 获取：注册时间
	 */
	public Date getDeviceRegtime() {
		return deviceRegtime;
	}
	/**
	 * 设置：修改时间
	 */
	public void setDeviceUpdtime(Date deviceUpdtime) {
		this.deviceUpdtime = deviceUpdtime;
	}
	/**
	 * 获取：修改时间
	 */
	public Date getDeviceUpdtime() {
		return deviceUpdtime;
	}

	public String getDeviceResult() {
		return deviceResult;
	}

	public void setDeviceResult(String deviceResult) {
		this.deviceResult = deviceResult;
	}

	public String getDeviceCode() {
		return deviceCode;
	}

	public void setDeviceCode(String deviceCode) {
		this.deviceCode = deviceCode;
	}
}
